/* $Id: crires_model_metric.h,v 1.3 2007-02-04 05:05:40 yjung Exp $
 *
 * This file is part of the CRIRES Pipeline
 * Copyright (C) 2002,2003 European Southern Observatory
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

/*
 * $Author: yjung $
 * $Date: 2007-02-04 05:05:40 $
 * $Revision: 1.3 $
 * $Name: not supported by cvs2svn $
 */

#ifndef CRIRES_MODEL_METRIC_H
#define CRIRES_MODEL_METRIC_H

/*-----------------------------------------------------------------------------
   								Includes
 -----------------------------------------------------------------------------*/

#include <cpl.h>

#include <stdio.h>
#include <math.h>
#include <ctype.h>
#include <string.h>
#include <stdlib.h>

cpl_table * crires_model_anneal_comp(ann_all_par *p_all_par, int adim, double * abest, double * amin, double * amax,int * aname, struct crires *p_crires, int DS_size, coord *msp_coord, DOUBLE *p_wlarray, DOUBLE ** znse_ref, int morder); 
float crires_model_energy (double *a);
void crires_model_assign_crires(int loc, double val);
void crires_model_output_data(double *);

#endif
