/* $Id: crires_model_qmetric.h,v 1.4 2012-01-12 17:58:02 bristowp Exp $
 *
 * This file is part of the CRIRES Pipeline
 * Copyright (C) 2002,2003 European Southern Observatory
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

/*
 * $Author: bristowp $
 * $Date: 2012-01-12 17:58:02 $
 * $Revision: 1.4 $
 * $Name: not supported by cvs2svn $
 */

#ifndef CRIRES_MODEL_QMETRIC_H
#define CRIRES_MODEL_QMETRIC_H

/*-----------------------------------------------------------------------------
   								Includes
 -----------------------------------------------------------------------------*/

#include <cpl.h>

#include <stdio.h>
#include <math.h>
#include <ctype.h>
#include <string.h>
#include <stdlib.h>

cpl_table * crires_model_qanneal_comp(ann_all_par *p_all_par, int adim, double * abest, double * amin, double * amax,int * aname, struct crires *p_crires, int DS_size, coord *msp_coord, DOUBLE ** znse_ref); 
float crires_model_qenergy(double *a);
void crires_model_qassign_crires(int loc, double val);
void crires_model_qoutput_data(void);

#endif
